/// <reference types="node" />
import { Options as WithContainerOptions } from '@databases/with-container';
export interface Options extends Omit<WithContainerOptions, 'internalPort' | 'enableDebugInstructions' | 'testConnection'> {
    mysqlUser: string;
    mysqlPassword: string;
    mysqlDb: string;
}
export declare function waitForConnection(databaseURL: string, timeoutSeconds: number): Promise<void>;
export declare function killDatabase(options?: Partial<Options>): Promise<void>;
export default function getDatabase(options?: Partial<Options>): Promise<{
    proc: import("child_process").ChildProcess;
    databaseURL: string;
    kill: () => Promise<void>;
}>;
